Page MenuHomePhabricator

BUG: PayPal donation handoff losing recurring option
Closed, ResolvedPublic0 Story Points

Description

Donations selected by donors to be recurring are processing as one-time at PayPal. The handoff to the PayPal donation page loses the selection as recurring. Noticed in Zendesk ticket #142597 PAYPAL 3MN83545NB981771M, and replicated by Caitlin.

Event Timeline

Juro2351 created this task.Mar 25 2015, 6:14 PM
Juro2351 assigned this task to atgo.
Juro2351 raised the priority of this task from to Needs Triage.
Juro2351 updated the task description. (Show Details)
Juro2351 added subscribers: Juro2351, CCogdill_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 6:14 PM
atgo triaged this task as Unbreak Now! priority.Mar 25 2015, 6:33 PM

Oy.

atgo set Security to None.
atgo added a project: Fundraising-Backlog.

@Juro2351, please remember to associate a project when you make tasks going forward. Fundraising-Backlog is a good one in case you're not sure :)

atgo reassigned this task from atgo to awight.Mar 25 2015, 6:35 PM
atgo moved this task from Backlog to Doing on the Fundraising Sprint Grandmaster Flash board.

Change 199661 had a related patch set uploaded (by Awight):
Don't do stupid things with the recurring param

https://gerrit.wikimedia.org/r/199661

awight edited a custom field.

Followon work: contact victims and ask them if they want to subscribe, still :(

Thank you! We are following up with the 1 donor who inquired. If there's a way to capture the details from the donors who intended to create recurring donations, please let me know.

Change 199661 merged by jenkins-bot:
Don't do stupid things with the recurring param

https://gerrit.wikimedia.org/r/199661

atgo added a subscriber: atgo.Mar 25 2015, 7:43 PM

If we do capture those, I would think we should confirm with Legal about
any further action with them. In some countries they're (at least going to
be) pretty strict about what's displayed on the confirmation page.

awight added a parent task: Restricted Task.Mar 25 2015, 7:45 PM

@atgo I think the best course of action is to email them and encourage them to re-sign up.

atgo renamed this task from PayPal donation handoff losing recurring option to BUG: PayPal donation handoff losing recurring option.Mar 25 2015, 8:03 PM
atgo edited a custom field.
atgo added a comment.Mar 25 2015, 8:06 PM

@CCogdill_WMF @Juro2351 - please close this as "resolved" when you confirm it's up to snuff

@atgo I tested and it worked for me!

CCogdill_WMF closed this task as Resolved.Mar 25 2015, 8:08 PM
atgo removed a subscriber: atgo.Mar 30 2016, 10:03 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJan 11 2018, 9:27 PM